﻿Imports Infragistics.Win.UltraWinToolbars
Imports Infragistics.Win.UltraWinDataSource
Imports Infragistics.UltraChart.Resources.Appearance
Imports Infragistics.UltraChart.Shared.Styles
Imports Infragistics.UltraChart.Core.Layers
Imports Infragistics.Win.UltraWinGrid



Public Class Form1

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles Me.Load

        Dim k As Integer = 0
        'Dim dt As DataTable
        Dim temparrayx() As Decimal = New Decimal() {-10, 10, 100, 110, 120}
        Dim temparrayy1() As Decimal = New Decimal() {0.5, 3, 2, 3, 1}
        Dim temparrayy2() As Decimal = New Decimal() {1, 3, 2, 3, 0.5}

        Dim area As New ChartArea()
        chartProcessStats1.CompositeChart.ChartAreas.Add(area)

        Dim series1 As XYSeries = New XYSeries()
        Dim series2 As XYSeries = New XYSeries()

        While (k < temparrayx.Length)

            series1.Points.Add(New XYDataPoint(temparrayx(k), temparrayy1(k), "P" & k + 1, False))
            series2.Points.Add(New XYDataPoint(temparrayx(k), temparrayy2(k), "P" & k + 1, False))
            k = k + 1

        End While

        chartProcessStats1.Series.Add(series1)
        chartProcessStats1.Series.Add(series2)

        'add series
        chartProcessStats1.Series.Add(series1)
        chartProcessStats1.Series.Add(series2)

        'set chart display properties
        chartProcessStats1.ChartType = ChartType.ScatterChart
        chartProcessStats1.ScatterChart.ConnectWithLines = True
        chartProcessStats1.ScatterChart.LineAppearance.SplineTension = 0

        'set chart and axis titles
        Dim chartTitle As TitleAppearance = chartProcessStats1.TitleTop
        chartTitle.Text = "ChartTitle"
        chartTitle.HorizontalAlign = StringAlignment.Center

        Dim yAxisTitle As TitleAppearance = chartProcessStats1.TitleLeft
        yAxisTitle.Text = "YAxisTitle"
        yAxisTitle.Visible = True
        yAxisTitle.HorizontalAlign = StringAlignment.Center

        Dim xAxisTitle As TitleAppearance = chartProcessStats1.TitleBottom
        xAxisTitle.Text = "XAxisTitle"
        xAxisTitle.HorizontalAlign = StringAlignment.Center

        chartProcessStats1.Tooltips.FormatString = "<DATA_VALUE_X>, <DATA_VALUE_Y>"


        chartProcessStats1.Axis.X.Labels.ItemFormatString = AxisItemLabelFormat.Custom
        chartProcessStats1.Axis.X.Labels.ItemFormatString = ""
        chartProcessStats1.Axis.X.Labels.Orientation = Infragistics.UltraChart.Shared.Styles.TextOrientation.Horizontal
        chartProcessStats1.Axis.X.Labels.Visible = True
        chartProcessStats1.Axis.X.RangeMin = -40
        chartProcessStats1.Axis.X.RangeMax = 140
        chartProcessStats1.Axis.X.Extent = 20
        chartProcessStats1.Axis.X.RangeType = AxisRangeType.Custom

        chartProcessStats1.Axis.Y.Labels.ItemFormatString = AxisItemLabelFormat.Custom
        chartProcessStats1.Axis.Y.Labels.ItemFormatString = ""
        chartProcessStats1.Axis.Y.Labels.Orientation = Infragistics.UltraChart.Shared.Styles.TextOrientation.Horizontal
        chartProcessStats1.Axis.Y.Labels.Visible = True
        chartProcessStats1.Axis.Y.RangeMin = 0
        chartProcessStats1.Axis.Y.RangeMax = 3.5
        chartProcessStats1.Axis.Y.Extent = 20
        chartProcessStats1.Axis.Y.RangeType = AxisRangeType.Custom

        Dim ChartColors() As Color
        ChartColors = New Color() {Color.Blue, Color.Red, Color.Green, Color.Yellow, Color.Orange, Color.Indigo, Color.Violet}
        chartProcessStats1.ColorModel.CustomPalette = ChartColors

        chartProcessStats1.ScatterChart.Icon = SymbolIcon.Circle
        chartProcessStats1.ScatterChart.IconSize = SymbolIconSize.Small
        chartProcessStats1.ScatterChart.LineAppearance.DrawStyle = LineDrawStyle.Solid
        chartProcessStats1.ScatterChart.LineAppearance.SplineTension = 0
        chartProcessStats1.ScatterChart.LineAppearance.Thickness = 3

        chartProcessStats1.ScatterChart.ConnectWithLines = True

    End Sub
End Class
